/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "Vc", "index.html", [
    [ "Overview Documents", null, [
      [ "Introduction", "intro.html", [
        [ "Alignment", "intro.html#intro_alignment", [
          [ "What is Alignment", "intro.html#intro_alignment_background", null ],
          [ "Tools", "intro.html#intro_alignment_tools", null ]
        ] ]
      ] ],
      [ "Portability Issues", "portability.html", [
        [ "Compiler Quirks", "portability.html#portability_compilerquirks", null ]
      ] ],
      [ "Pre-defined Macros", "vcmacros.html", [
        [ "Implementation Identification", "vcmacros.html#vc_impl", null ],
        [ "Vector/Mask Sizes", "vcmacros.html#vc_size", null ],
        [ "Compiler Identification (and related)", "vcmacros.html#vc_compiler", null ],
        [ "Version Macros", "vcmacros.html#vc_version", null ],
        [ "Boilerplate Code Generation", "vcmacros.html#vc_boilerplate", null ]
      ] ],
      [ "Feature Macros", "featuremacros.html", [
        [ "Vc_IMPL", "featuremacros.html#set_vc_impl", null ],
        [ "Vc_NO_STD_FUNCTIONS", "featuremacros.html#Vc_NO_STD_FUNCTIONS", null ],
        [ "Vc_NO_VERSION_CHECK", "featuremacros.html#Vc_NO_VERSION_CHECK", null ],
        [ "Vc_CHECK_ALIGNMENT", "featuremacros.html#Vc_CHECK_ALIGNMENT", null ],
        [ "Vc_ENABLE_FLOAT_BIT_OPERATORS", "featuremacros.html#Vc_ENABLE_FLOAT_BIT_OPERATORS", null ]
      ] ],
      [ "Build System", "buildsystem.html", [
        [ "CMake Variables", "buildsystem.html#buildsystem_variables", null ],
        [ "CMake Macros", "buildsystem.html#buildsystem_macros", null ],
        [ "Using Vc without CMake", "buildsystem.html#buildsystem_other", null ]
      ] ],
      [ "Examples", "examples.html", "examples" ]
    ] ],
    [ "API Reference", "modules.html", "modules" ],
    [ "Indexes", null, [
      [ "Deprecated List", "deprecated.html", null ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", null ],
        [ "Functions", "namespacemembers_func.html", null ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ],
      [ "operator<<", "group__Utilities.html#gaeff205910332548605612b057ff5749d", null ],
      [ "prefetchForOneRead", "group__Utilities.html#gae7f7849b78b35dbad9ac6a5134344501", null ],
      [ "prefetchForModify", "group__Utilities.html#ga26078dd5d6dce8a1322e5f5c93cc29ee", null ],
      [ "prefetchClose", "group__Utilities.html#ga7cf037dfb8b593e6029960a9cd30525c", null ],
      [ "prefetchMid", "group__Utilities.html#gaa12f10ef289f28b765cc1957ed1c5064", null ],
      [ "prefetchFar", "group__Utilities.html#ga853925b65d3bf768f025612ca35b7b9a", null ],
      [ "shifted", "group__Simdize.html#ga939875d9b31cc733f574598aa5d3f44c", null ],
      [ "swap", "group__Simdize.html#ga0517cc110689711d04e7096d4b6201dc", null ],
      [ "swap", "group__Simdize.html#ga3d6d182e679baadfd2727835eb67afd0", null ],
      [ "swap", "group__Simdize.html#gad2a4e95e190a4980a65dae8d403ec87c", null ],
      [ "CurrentImplementation", "group__Utilities.html#gaf3e14167d841b235ddddfeee061e892f", null ],
      [ "double_v", "group__Vectors.html#ga0c29c10a0054260ee326ff12938243fa", null ],
      [ "float_v", "group__Vectors.html#ga5cf7c5a0dadbbbbcb9b69c5e42ee0528", null ],
      [ "int_v", "group__Vectors.html#gaff6f527c244d2e97ae290d2325de8ec0", null ],
      [ "uint_v", "group__Vectors.html#gab04f66a2e5672fe27f27e9fbff5afcbc", null ],
      [ "short_v", "group__Vectors.html#ga357ea2ba8644fc80c7e7cf13069e6ed0", null ],
      [ "ushort_v", "group__Vectors.html#ga06b026f838dc9e1a7b8d76a89a852503", null ],
      [ "double_m", "group__Masks.html#ga786edb7297a37cee281c1270d72fd15e", null ],
      [ "float_m", "group__Masks.html#gab9a61667770e6aa34fbf79bd866c6125", null ],
      [ "int_m", "group__Masks.html#ga8f64c0d135eecd3d23614a429d2fe454", null ],
      [ "uint_m", "group__Masks.html#ga08780441d72903fe2a78c1f2fdec59e9", null ],
      [ "short_m", "group__Masks.html#ga035870cea90d9dcece5b998431579679", null ],
      [ "ushort_m", "group__Masks.html#gadffad75d23efd4c964bfbcf98fca09ce", null ],
      [ "vector", "group__Containers.html#ga83d044f9c3ad372b41050be88e9dc80a", null ],
      [ "VectorAlignedBase", "group__Utilities.html#gae0b1347db1c228fa9eed28bb263b7ce1", null ],
      [ "VectorAlignedBaseT", "group__Utilities.html#gaaf50674e74fd61521eed0b6efc9fca66", null ],
      [ "MemoryAlignedBase", "group__Utilities.html#ga199bb5c0b1cdad984233700da70c7f72", null ],
      [ "MemoryAlignedBaseT", "group__Utilities.html#ga99b565288c63cae7e848763fd59f7fe3", null ],
      [ "DefaultLoadTag", "namespaceVc.html#a16cb0f3fcfe32601de1b5da10df5d59d", null ],
      [ "DefaultStoreTag", "namespaceVc.html#a4d7c710aa2754261eefbc420320aaaa3", null ],
      [ "simdize", "group__Simdize.html#ga3ac19e54411a781274a792efe3c3e319", null ],
      [ "span", "group__Containers.html#gab3e24ff44f51a475b91bc8ceb0b69106", null ],
      [ "llong", "group__Utilities.html#ga48d34e0d0fc1c5727f8bd72aba96b636", null ],
      [ "ullong", "group__Utilities.html#ga389d2ab33cbce94847a01e0b75f29627", null ],
      [ "ulong", "group__Utilities.html#ga441b2f7db117201ab36246e7692a5974", null ],
      [ "uint", "group__Utilities.html#ga69aa29b598b851b0640aa225a9e5d61d", null ],
      [ "ushort", "group__Utilities.html#gae666ff9c44d45e6b7b6b8ed4340dd9c0", null ],
      [ "uchar", "group__Utilities.html#gae48ac2456c5ad6c956fef86e7bef3a21", null ],
      [ "schar", "group__Utilities.html#ga84375f7ee02e11ca98cc738c420f6fcf", null ],
      [ "MallocAlignment", "group__Utilities.html#gaebce8b3227fdcca97fba94556a1b2461", [
        [ "AlignOnVector", "group__Utilities.html#ggaebce8b3227fdcca97fba94556a1b2461aea1085049aede31b7bbb8c5a06815446", null ],
        [ "AlignOnCacheline", "group__Utilities.html#ggaebce8b3227fdcca97fba94556a1b2461ae5f918b27baba790e8931d2f1173905f", null ],
        [ "AlignOnPage", "group__Utilities.html#ggaebce8b3227fdcca97fba94556a1b2461ae4cff9800dfef630b91432a0eda00f4b", null ]
      ] ],
      [ "Implementation", "group__Utilities.html#ga169eae84f24c38906074ff8edde32fd8", [
        [ "ScalarImpl", "group__Utilities.html#gga169eae84f24c38906074ff8edde32fd8af8eadb5528c544043ceb2e0bbe1615ac", null ],
        [ "SSE2Impl", "group__Utilities.html#gga169eae84f24c38906074ff8edde32fd8a96e70e00d8209faf9f4f5d45d5fb2c91", null ],
        [ "SSE3Impl", "group__Utilities.html#gga169eae84f24c38906074ff8edde32fd8a7d172cb38b02af566e6e256bc3c9fc6f", null ],
        [ "SSSE3Impl", "group__Utilities.html#gga169eae84f24c38906074ff8edde32fd8a4f2b8ddd973d24ac7984678bf4a9bf7a", null ],
        [ "SSE41Impl", "group__Utilities.html#gga169eae84f24c38906074ff8edde32fd8a42c84ad8cf63407232d74ccef344d1b4", null ],
        [ "SSE42Impl", "group__Utilities.html#gga169eae84f24c38906074ff8edde32fd8a9ebefe4bccb3fb7ae762b9513f7d1f3e", null ],
        [ "AVXImpl", "group__Utilities.html#gga169eae84f24c38906074ff8edde32fd8a43a1748f49066bcfb077da5844e5ac19", null ],
        [ "AVX2Impl", "group__Utilities.html#gga169eae84f24c38906074ff8edde32fd8a0ec1beefc339f966fe6bc79f29157417", null ],
        [ "MICImpl", "group__Utilities.html#gga169eae84f24c38906074ff8edde32fd8a19fd24b45f41c9b525248c256328b67c", null ]
      ] ],
      [ "ExtraInstructions", "group__Utilities.html#ga4922572a6b9846b8c22af338b9441229", [
        [ "Float16cInstructions", "group__Utilities.html#gga4922572a6b9846b8c22af338b9441229acaab28ad7711fd8542454766cef23f2c", null ],
        [ "Fma4Instructions", "group__Utilities.html#gga4922572a6b9846b8c22af338b9441229a785542afdf7805511a1c0d1679a9d6ea", null ],
        [ "XopInstructions", "group__Utilities.html#gga4922572a6b9846b8c22af338b9441229a439e5c3106f696004e78b4f79e5918b6", null ],
        [ "PopcntInstructions", "group__Utilities.html#gga4922572a6b9846b8c22af338b9441229aee6cf7ebb69a99ec4ffbdea63d0d7a76", null ],
        [ "Sse4aInstructions", "group__Utilities.html#gga4922572a6b9846b8c22af338b9441229af7a4407dc74ee8444bffedca74ca942d", null ],
        [ "FmaInstructions", "group__Utilities.html#gga4922572a6b9846b8c22af338b9441229a84146480ab7df66c222fdda2f7a513da", null ],
        [ "VexInstructions", "group__Utilities.html#gga4922572a6b9846b8c22af338b9441229ab32e7f3ac1f6c7aac5d6d20ae435f84a", null ],
        [ "Bmi2Instructions", "group__Utilities.html#gga4922572a6b9846b8c22af338b9441229a28c60a6d86220ee7bbbbbecac4db015f", null ]
      ] ],
      [ "extraInstructionsSupported", "group__Utilities.html#ga382d9c155a283ee6e0b6db203f563ed0", null ],
      [ "isImplementationSupported", "group__Utilities.html#ga85daae7f9fd2e0509b317bbaaade7d90", null ],
      [ "bestImplementationSupported", "group__Utilities.html#ga4bd9588ab59f9c0316f73c4de8b328a4", null ],
      [ "currentImplementationSupported", "group__Utilities.html#gaf6a7f1d58808117b81cac7dcd054895e", null ],
      [ "versionString", "group__Utilities.html#gadaf740732b025b9eaf379c4f3523c27d", null ],
      [ "versionNumber", "group__Utilities.html#ga85dd3dea45052488a876ed2b14176f0c", null ],
      [ "operator<<", "group__Vectors.html#ga54c3d16297464372ecd3aaecfecf3d7f", null ],
      [ "operator<<", "group__Masks.html#ga0f62c1892a179d20891eed067d7ffc2b", null ],
      [ "simd_for_each", "group__Utilities.html#ga29b42a4ce73749e7900407964e8bb468", null ],
      [ "deinterleave", "group__Vectors.html#ga3b78255a0fcbb76664c20b56ffe85d77", null ],
      [ "iif", "group__Utilities.html#ga6174be26fd506431783a8ce021c73d0b", null ],
      [ "iif", "group__Utilities.html#ga6174be26fd506431783a8ce021c73d0b", null ],
      [ "iif", "group__Utilities.html#ga62e83b56d82bdc33c674d246f1d02909", null ],
      [ "interleave", "group__Utilities.html#ga1ca0e901b338e01e0b7e8658587757da", null ],
      [ "make_interleave_wrapper", "namespaceVc.html#a8061209bf20586fa50f1d516c52504c4", null ],
      [ "makeContainer", "group__Containers.html#gaa184da6ae406dc089a92e650b84ae986", null ],
      [ "malloc", "group__Utilities.html#ga29ec24330567f73c0269cb5d859594ff", null ],
      [ "free", "group__Utilities.html#gaee7f695ddd66d27230262733d9727435", null ],
      [ "all_of", "group__Utilities.html#gaccfe8b53188a645a5c78e283defb0d23", null ],
      [ "all_of", "group__Utilities.html#ga6ec7a6f4bff7ae67660a62ab0f3d325e", null ],
      [ "any_of", "group__Utilities.html#ga0e357178e07b595d2e7879ca2b2c62e0", null ],
      [ "any_of", "group__Utilities.html#gae493dec4ade732c6dbcc8232984736c5", null ],
      [ "none_of", "group__Utilities.html#gabe433dbbaa1f39731be6d183269cee3d", null ],
      [ "none_of", "group__Utilities.html#gac158e87aaeb3b48d2eed8e2b2ed2a616", null ],
      [ "some_of", "group__Utilities.html#ga0d1f3affaf171f27a677d71501feb7ca", null ],
      [ "some_of", "group__Utilities.html#gafbc58eaa9b950fbdd74931ffe2d28f27", null ],
      [ "simd_cast", "namespaceVc.html#a776c566ede0bc6795b19df04e6fc5b9c", null ],
      [ "simd_cast", "namespaceVc.html#aa1011f75ce8f7c0da7e9de2e3776dbd0", null ],
      [ "min", "group__SimdArray.html#ga2aab75e4afa35c3331deb8639e2b0000", null ],
      [ "max", "group__SimdArray.html#ga253756bfaa995b548006eca952694c3a", null ],
      [ "operator+", "group__SimdArray.html#gaefc55891ffced01164c184f17ed45097", null ],
      [ "operator-", "group__SimdArray.html#gab6a348a1983fda22e6d420baf1c24c13", null ],
      [ "operator*", "group__SimdArray.html#ga2803c0f2191fcad9f8edacf6a55ba545", null ],
      [ "operator/", "group__SimdArray.html#ga533266e259d89174605059d7dbb4d80e", null ],
      [ "operator%", "group__SimdArray.html#ga392409113ee87e4856d76cb33f0de862", null ],
      [ "operator|", "group__SimdArray.html#ga78f9375fe9f916083bf79f3948ea4953", null ],
      [ "operator&", "group__SimdArray.html#ga819cb059681aedc811396c7656b61698", null ],
      [ "operator^", "group__SimdArray.html#ga7da16d91e35c1fd2e16dee90be311304", null ],
      [ "operator==", "group__SimdArray.html#gaf3e81cf42bfaffc34dcba8c1902656b5", null ],
      [ "operator!=", "group__SimdArray.html#ga17f3c1b6da518ab890f258ead3e62ced", null ],
      [ "operator<=", "group__SimdArray.html#ga375f87e2cbc7a557487656e81bb87afe", null ],
      [ "operator>=", "group__SimdArray.html#ga4b89a2ff4dd926795d57cb8c51cf19c7", null ],
      [ "operator<", "group__SimdArray.html#gaf0e41fa2113811014b042f758c1748d7", null ],
      [ "operator>", "group__SimdArray.html#gab7782cc61edcd390dab9ececd1f2ae2f", null ],
      [ "abs", "group__SimdArray.html#ga93450df81266924445ab131d1a86e2a5", null ],
      [ "asin", "group__SimdArray.html#ga05fd27cbd56a553574330fb5b34aeb9d", null ],
      [ "atan", "group__SimdArray.html#ga84f462673daf7ef238e8ae34c5bec07b", null ],
      [ "atan2", "group__SimdArray.html#gaefb5101b27861bd54d8a5ac5cb61a7a5", null ],
      [ "ceil", "group__SimdArray.html#gaf62f2871c49ba9ffd15a1a994b1fbbaa", null ],
      [ "copysign", "group__SimdArray.html#ga702e472ee7c2252573372e90a31db5d0", null ],
      [ "cos", "group__SimdArray.html#gab0d55b0f4f2d7cadda7f68cef1991623", null ],
      [ "exp", "group__SimdArray.html#ga81d619b80609ab8766107b159a638d00", null ],
      [ "exponent", "group__SimdArray.html#ga36944b8ac60381a523e156c950834d8a", null ],
      [ "floor", "group__SimdArray.html#gab73d63ee0cb30d5b5817d51213b14f80", null ],
      [ "fma", "group__SimdArray.html#ga576dc9da1e31ccf9dac0db382ceb8d02", null ],
      [ "isfinite", "group__SimdArray.html#ga48d2a188fe8ea51089997069ca3cfe41", null ],
      [ "isinf", "group__SimdArray.html#ga6442d6dcce2eaf751fd9f4fffe0e1a8f", null ],
      [ "isnan", "group__SimdArray.html#ga0f6d5deeb5c64134c3d9cee480e95b80", null ],
      [ "isnegative", "group__SimdArray.html#gaa12e4ee098f355035bea92c3bc583fd9", null ],
      [ "frexp", "group__SimdArray.html#gad141e0024540d5f44f9e898da89721c7", null ],
      [ "ldexp", "group__SimdArray.html#gafeaed76e3f85c6e81d9bce3a39f1f92e", null ],
      [ "log", "group__SimdArray.html#gaa9dac948e04e6c112d537dd096aa7740", null ],
      [ "log10", "group__SimdArray.html#ga38bf96053a9aa6893ecd7e2fc6409825", null ],
      [ "log2", "group__SimdArray.html#ga6f695e99fa2caf1b9a96bdd68bb33fb4", null ],
      [ "reciprocal", "group__SimdArray.html#ga91652e5150b7b31488a8097f9b82fe4d", null ],
      [ "round", "group__SimdArray.html#gaa3bf2b88d3289b9ee15253eafba0cf09", null ],
      [ "rsqrt", "group__SimdArray.html#ga3954b1742a71eb2f7a91b78822232976", null ],
      [ "sin", "group__SimdArray.html#ga44169bba413844531150d0483e88d77f", null ],
      [ "sincos", "group__SimdArray.html#gaeb11d4042dcea400cd11940af21163c1", null ],
      [ "sqrt", "group__SimdArray.html#gab27e53c7273f82aab9fe1e7c31b1de55", null ],
      [ "trunc", "group__SimdArray.html#ga945b484d4e6bf00f963a59cb18442834", null ],
      [ "assign", "namespaceVc.html#ac1331eb8c64a239648b1563a355b309b", null ],
      [ "extract", "namespaceVc.html#a9709f0459e8b398f88e275e18f4d8c00", null ],
      [ "sin", "group__Math.html#gaf6488ba7286cac620537cedbbf32f1ed", null ],
      [ "cos", "group__Math.html#gacb2666f4927135068ca13a91648f7e61", null ],
      [ "asin", "group__Math.html#ga426074357d5e8b3d515061277915ea12", null ],
      [ "atan", "group__Math.html#ga3042c18bb5862a388b92793b9ccf9100", null ],
      [ "atan2", "group__Math.html#ga723e102b36e86c475be680697416584f", null ],
      [ "sincos", "group__Math.html#ga78b6711297142c6e57787422816770b1", null ],
      [ "copysign", "group__Math.html#ga53447d58a457525fcbfc1639c5c7190c", null ],
      [ "exponent", "group__Math.html#ga5c507b8670a7e06cec823fc967fe7a63", null ],
      [ "isnegative", "group__Math.html#gae85aa3465e8a8a60abfb0458753031dc", null ],
      [ "reinterpret_components_cast", "group__Utilities.html#gad81ed0151f387fbe4b675c5c28606792", null ],
      [ "where", "group__Utilities.html#ga97e34ba842517d13dcc2e30a6b726f4a", null ],
      [ "VectorAlignment", "group__Vectors.html#gab31cdcfd0e89e57edf426bfbf3ca843b", null ],
      [ "MemoryAlignment", "group__Vectors.html#gaac286912729d28478c8c9a1ac97a92ac", null ],
      [ "Aligned", "group__Utilities.html#ga9e53bd74b9a47cb8f16bf12018c3670e", null ],
      [ "Unaligned", "group__Utilities.html#ga91774bc3f3fc00d22deff300919d811c", null ],
      [ "Streaming", "group__Utilities.html#gadc83bcfec8f15d1d02fb53baa3f38185", null ],
      [ "PrefetchDefault", "group__Utilities.html#ga3bed7ba639e9ef78c79421c801b43e59", null ],
      [ "Zero", "group__Utilities.html#gad24df8f04b4b68f7e992aeb8b449cdf2", null ],
      [ "One", "group__Utilities.html#ga7dc0e380f66c4c791b7bf95df154b3c6", null ],
      [ "IndexesFromZero", "group__Utilities.html#ga2fc610927782c03b1049f2898b2e5821", null ],
      [ "Class List", "annotated.html", [
        [ "Class List", "annotated.html", "annotated_dup" ],
        [ "Class Index", "classes.html", null ],
        [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
        [ "Class Members", "functions.html", [
          [ "All", "functions.html", "functions_dup" ],
          [ "Functions", "functions_func.html", "functions_func" ],
          [ "Variables", "functions_vars.html", null ],
          [ "Typedefs", "functions_type.html", null ]
        ] ]
      ] ],
      [ "File List", "files.html", [
        [ "File List", "files.html", "files_dup" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"Allocator_source.html",
"classVc_1_1SimdArray.html#abf671bae74e56844694459b31290c3c1",
"group__SimdArray.html#ga4b89a2ff4dd926795d57cb8c51cf19c7"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';